
# Url is the url of the SPECjAppServer2004 web application.
# Url=http://<hostname>:<port>/SPECjAppServer/app?
Url=http://specdelivery:80/SPECjAppServer/app?

# --------------------------------------------------------------------------------- #
#                                                                                   #
# This is the input properties file to the SPECjAppServer driver                    #
# All entries must be of the form <name> = <value> where spaces or tabs             #
# are allowed as seperators.                                                        #
# See the JDK documentation of the Properties.load method for more info             #
#                                                                                   #
# --------------------------------------------------------------------------------- #

# --------------------------------------------------------------------------------- #
#                                                                                   #
# Name of  directory in which output of runs go                                     #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# outDir = /SPECjAppServer2004/output
outDir = /export/home/hwadams/specj04.1.00/SPECjAppServer2004/logs


# --------------------------------------------------------------------------------- #
#                                                                                   #
# optional command to invoke RMI registry                                           #
# default is JAVA_HOME/bin/rmiregistry.  Uncomment this entry to specify a          #
# specific rmiregistry.                                                             #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# rmiCommand = /usr/java/bin/rmiregistry
rmiCommand = /opt/WebSphere/AppServer/was51/sj04/b0344.02/java/jre/bin/rmiregistry

# --------------------------------------------------------------------------------- #
#                                                                                   #
# dumpDir is directory to dump output to = /tmp on Unix.  The names of output       #
# files will be /tmp/ords_thruput and /tmp/mfg_thruput.  Note that these files need #
# to be named pipes, the 'driver.sh' script will create the pipes before each run.  #
# If you change dumpDir, be sure to edit ../driver.sh                               #
#                                                                                   #
# --------------------------------------------------------------------------------- #
dumpDir = /tmp


# --------------------------------------------------------------------------------- #
#                                                                                   #
# Dealer Injection rate/PlannedLine workorder rate                                  #
# This will cause 10*txRate DealerEntry threads and 3*txRate PlannedLine threads    #
# See Clause 4.4 for details                                                        #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# txRate = 1
txRate = 540


# --------------------------------------------------------------------------------- #
#                                                                                   #
# Set to 1 to gather Audit Reports (required for submission).  Set to 0 to ignore.  #
# When set to 1 the Audit Session beans in the various domains will confirm         #
# database cardinality, reset the emulator and supplier Servlets.  Set to 0 for     #
# testing if auditing is not required.                                              #
#                                                                                   #
# --------------------------------------------------------------------------------- #
doAudit = 1
#doAudit = 0


# --------------------------------------------------------------------------------- #
#                                                                                   #
# Time between launching each thread, in millisecs.                                 #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# msBetweenThreadStart = 100
msBetweenThreadStart = 50


# --------------------------------------------------------------------------------- #
#                                                                                   #
# Run times in seconds                                                              #
# Trigger time is the amount of time it takes for all the client threads            #
# to start up. It will depend on the number of threads per JVM                      #
# The driver will automatically set the minimum trigger time if triggerTime=0       #
# and the msBetweenThreadStart > 0                                                  #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# triggerTime = 30
triggerTime = 500


# --------------------------------------------------------------------------------- #
#                                                                                   #
# The following parameters control the rampup, steady state and rampdown periods.   #
#                                                                                   #
#      rampUp - is the period of time in seconds that the client generates a load   #
#               but does not count the Txs/response times.                          #
#                                                                                   #
# steadyState - the period of time Tx/response times are measured for the run.      #
#                                                                                   #
#    rampDown - The final stage in a benchmark run where clients continue to inject #
#               a workload but no longer count Txs/response time.                   #
#                                                                                   #
# --------------------------------------------------------------------------------- #
rampUp = 600

stdyState = 3600

rampDown = 300

#rampUp = 300

#stdyState = 300

#rampDown = 300



# --------------------------------------------------------------------------------- #
#                                                                                   #
# Decide on what you want to run                                                    #
#                                                                                   #
# - Note:  If required for client scaling the number for runDealerEntry and         #
#          runMfg can be specified as a numeric value greater than 1.  This         #
#          indicates to the driver the number of agents to start.  For example,     #
#          runDealerEntry = 3 would start three DealerAgents and the client threads #
#          would be evenly distributed across the clients.  Test runs have been     #
#          successfully completed up to an Ir of 600 without changing these values. #
#          Their inclusion is for scaling the benchmark beyond the current tested   #
#          loads.  For most runs a single LargeOrder driver is adequate.  If it is  #
#          determined that more than one is required specify a larger value.        #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# runDealerEntry = 1
# runMfg = 1
# runLO = 1
runDealerEntry = 2
runMfg = 1
runLO = 0



# --------------------------------------------------------------------------------- #
#                                                                                   #
#  Diagnostic and driver scaling parameters                                         #
#                                                                                   #
# These parameters are used for scaling the driver system and are generally used    #
# for either diagnostic purposes or for scaling the driver on one or multiple       #
# driver systems.  They are ordered by properties for scaling and diagnostic        #
# purposes.                                                                         #
#                                                                                   #
# --------------------------------------------------------------------------------- #
#                                                                                   #
# This property is used for scaling the driving system.  When set to false it       #
# assumes that the driver is on a single system (the default).  When set to true    #
# the launcher will not start the controller or the driver manager.  This means     #
# that only the number of DealerAgents and MfgAgents as specified above will be     #
# started.  This is for scaling large workloads and has not been needed for loads   # 
# up to an injection rate of 600.                                                   #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# satellite=false
satellite=true


# --------------------------------------------------------------------------------- #
#                                                                                   #
# These properties are used to set the driver agent's name.  You would change these #
# properties only when running the Launcher/Driver in a distributed mode for        #
# driver scaling.  This is not related to the runtime configuration of              #
# centralized/distributed workload.  This is used to ensure that all agents for a   #
# given test configuration are unique.                                              #
#                                                                                   #
# --------------------------------------------------------------------------------- #
# dealerEntryStartingNumber=1
# mfgStartingNumber=1
# loStartingNumber=1
dealerEntryStartingNumber=21
mfgStartingNumber=21
loStartingNumber=21


# --------------------------------------------------------------------------------- #
#                                                                                   #
# satPostRunWaitTime is the amount of time a satellite driver waits after the run   #
# completes before exiting. This gives the master driver time to gather all results #
# from the satellite agents. For high injection rates, this parameter might have to #
# be increased, since the driver would need more time to complete auditing and      #
# collect results.                                                                  #
#                                                                                   #
# --------------------------------------------------------------------------------- #
satPostRunWaitTime = 600


# --------------------------------------------------------------------------------- #
#                                                                                   #
# This property is used for diagnotics on the driver side.  When set to true stderr #
# is redirected to a file on the filesystem for each of the driver agents (Dealer,  #
# Mfg and LargeOrder).  The files will be created in the directory the driver is    #
# started in.  They will be named based on the agent name (ie. D1.err, M1.err,      #
# L1.err, etc).                                                                     #
#                                                                                   #
# --------------------------------------------------------------------------------- #
redirectStderr=false


# --------------------------------------------------------------------------------- #
#                                                                                   #
#  The following parameters are generally not changed but are modified for testing  #
#  and research.                                                                    #
#                                                                                   #
# --------------------------------------------------------------------------------- #

# --------------------------------------------------------------------------------- #
#                                                                                   #
#  Transaction weights.  These cannot be changed for publishing runs.               #
#                                                                                   #
# --------------------------------------------------------------------------------- #
purchaseWeight = 25
manageWeight = 25
browseWeight = 50



# dumpStats will cause data to be dumped during the run for Charting
# WARNING: Setting this to 1 will cause the Driver to hang, unless the
# charting application has been started first
dumpStats = 0

# Set this if your app server has prefix for ejb jndi names 
# make sure you have included trailing '/' in the name
#homePrefix = ejb
homePrefix = cell/clusters/SPECJ04/

# dlrDumpTarget and mfgDumpTarget are the targets stats info is written to.
# They can be file names or port numbers. In the case of port numbers, the
# driver will serve as the server allowing stats display tools like charts
# to join in.
dlrDumpTarget = 9988
mfgDumpTarget = 9989

# --------------------------------------------------------------------------------- #
#  The following parameters are generally not changed but available for enabling    #
#  debugging  the http conversation between the DealerEntry threads and the SUT     #
#  HTMLOUTPUT=true :  will write all non error html to a .trc file in current dir   #
#  DEBUGOUTPUT=true : will write all error html to a .trc file in current dir       #
#  Warning: turning these flags to true will significantly reduce throughput so use #
#           only at low txrates                                                     #
# --------------------------------------------------------------------------------- #
HTMLOUTPUT=false
DEBUGOUTPUT=false


# The following parameters should not be changed

scaleFactor = 1
numPGS = 1
